package com.jeeplus.test.cw.projectReport.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.test.cw.projectReport.domain.CwProjectReport;
import com.jeeplus.test.cw.projectReport.domain.CwProjectReportFile;
import com.jeeplus.test.cw.projectReport.service.dto.ProjectReportWorkAttachmentDTO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 新建行文件表
 * @author: 王强
 * @create: 2022-11-16 21:23
 **/
@Mapper
public interface ProjectReportWorkAttachmentMapper extends BaseMapper<CwProjectReportFile> {

    List<String> getIdByAttachmentId(String id);

    void deleteByRepotyId(String id);

    void deleteByAttachMnentId(String id);

    List<ProjectReportWorkAttachmentDTO> selectByInfoId(String id);

    CwProjectReportFile selectInfoByFileId(String id);
}
